INSTALL(1)

NAME
install - copy files and set their attributes

SYNOPSIS
install [ options ] [ -s ] source dest
install [ options ] [ -s ] source [ ... ] directory
install [ options ] [ -d ] directory [ ... ]

DESCRIPTION
install copies files and sets their permission modes and, if possible, their owner and group. It is used similarily to cp(1); typically used in Makefiles to copy programs into their destination directories. It can also be used to create the destination directories and any leading directories, and to set the directories modes.

Some of the options listed below are not implemented or are implemented in a restricted sense. Such options are recognised to maximize install's compatibility with other Unix versions, in order to minimize problems with ported shell scripts and makefiles. Where options are not fully implemented, it is usually due to differences between Unix and GS/OS.

OPTIONS

-c  Ignored. This option is included for backwards compatibility with old Unix versions of install.

-d  Create each given directory and its leading directories, if they do not already exist.

-g group
    Set the group ownership of the installed file or directory to the group ID of group (default is the processes current group). group may also be a numeric group ID.

    This is currently ignored under GNO.

-h  Show usage information and exit.

-m mode
    Set the permission mode for the installed file or directory to mode, which can be either an octal number, or a symbolic mode as in the Unix chmod command, with 0 as the point of departure. The default mode is 0755.

    Note that currently under GNO, the mode is interpreted in the traditional Unix sense in that it only affects read, write, and (to a limited extent) execute permissions. Furthermore, the only bits interpreted are those for the user permissions; the mode is effectively bitwise `anded' with the constant 0700.

    An execute modification is only permitted when the original file is of type TXT or SRC. If the `execute bit' is enabled, then the file type will be changed to SRC and the auxilliary type to EXEC. This is equivalent to making the file an executable shell script. If the `execute bit' is disabled, then the file type will be changed to TXT and the auxilliary type to 0x0000.

-o owner
    If run as root, set the ownership of the installed file to the user ID of owner. owner may also be numeric user ID.

    This is currently ignored under GNO.

-s  Strip the symbol tables from the installed programs.

    This is currently ignored under GNO.

-v  Show version number.

AUTHOR
Devin Reade <gdr@eddore.myrias.com>